<?php
//error_reporting(0);

//Incluir Archivos Necesarios
require_once '../Clases/db.php';
require_once '../Clases/Venta.php';
require_once '../Clases/Cliente.php';

$mostrar = new clientes ();
$clientes = $mostrar->getAllCliente();

//Verificar si el usuario ha iniciado sesion 
session_start();
if (!isset($_SESSION['Username'])) { 
  header("Location: ../index.php");
  exit;
}

//############# TOASTS ############//
include "../ArchivosCSS/StyleToasts.php";
?>
<!DOCTYPE html>
<html lang="es">
<header>
    <title>Venta</title>
</header>
<body onload="onLoad()">
    <!--======== Incluir Menu Lateral y Nav ========-->
    <?php  include 'menu_lateral.php'; ?>

    <!--======== Main ========-->
    <div class="main">
        <div class="interno" >
            <?php  error_reporting(0);
            require_once '../Clases/Tasa.php';
            $mostrar = new tasas ();
            $result = $mostrar->multiplicartasa(); 
            ?>
            <?php
            if (!isset($result)) {
                ?>
                <!--======== Area Toast ========-->
                <div class="contenedor-toasts-internos" id="contenedor-botones">
                    <?php
        //toast de error "Por favor, introduzca la tasa del día antes de realizar una venta.!!"
                    echo $errorBTNGVE1;
                    echo $errorToastGVE1;

                     //boton para registrar tasa
                    echo "<a href='tasadolar.php'>";
                    echo "<button type='button' class='btn btn-primary' data-bs-toggle='modal'>";
                    echo "<i class='bi bi-plus-circle'>Ir a Registrar Tasa!</i>";
                    echo "</button>";
                    echo "</a>";
                    ?>
                </div>
                <!--======== Fin Area Toast ========-->
                <?php
            }else{ 
                ?> 

           <style>
    .container {
        display: flex;
        justify-content: flex-end;
        align-items: center;
    }
</style>

<div class="container">
 <span style="margin-right: 8px;">N° Factura</span>
    <?php 
        require_once '../Clases/Venta.php';
        $mostrar = new ventas ();
        $conn = $mostrar->ultimonfactura(); 
        $connWithNumber = $conn + 1;
        echo '<input type="text" name="codigo" class="form-control" value="'.$connWithNumber.'" style="width: 100px;" readonly onmousedown="return false;">'
    ?>
</div>

<?php
    require_once '../Clases/Reporte.php';
    $mostrarcl = new reportes();
    $client = $mostrarcl->nclientes();

    if ($client > 7) :
?>
    <div class="breadcrumb-holder">
        <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#register1">
            <i class="bi bi-person-plus"></i> Agregar Cliente
        </button>
        <?php include('./Modales/Ventas/agregarcliente.php'); ?>
    </div>
    <br>
<?php
    else:
?>
    
<form action='./controladores/ventas/agregarc.php' method='post'>
    <div class="row">
        
        <div class="col-lg-3">
            <select class="form-select" aria-label="Default select example" name="IdC" id="IdC">
                <option value="<?php echo $cliente['ID'] ?>">Seleccione cliente</option>
                <?php foreach ($clientes as $cliente) { ?>
                    <option value="<?php echo $cliente['ID'];?>">
                         <?php echo $cliente['Cedula_cliente']; ?> / <?php echo $cliente['Nombre_cliente'] ?>
                    </option>
                <?php } ?>
            </select>
        </div>

        <!-- Aquí puedes incluir más campos del cliente si es necesario -->
        <input type='text' name='NombreC' value='<?php echo $cliente['Nombre_cliente']; ?>' style="display: none;">
        <input type='text' name='CedulaC' value='<?php echo $cliente['Cedula_cliente']; ?>' style="display: none;">

        <input type='submit' class="btn btn-primary" name='btnAnadir' value='Añadir' style="width: 7%;">
    </div>
</form>
<?php
    endif;
?>

                         <br><br>

                    <div class="breadcrumb-holder">                                             
                        <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#register">
                            <i class="bi bi-cart-plus"></i> Agregar Producto
                            </button> <?php  include('./Modales/Ventas/agregarproducto.php'); ?>
                        </div><br>
                    <?php }//Fin del ELSE ?> 

                    <!--======== Area Toast ========-->
                    <div class="contenedor-toasts-internos" id="contenedor-botones">
                        <?php
                        if(isset($_GET["m"])){
                            $m = $_GET["m"];

                            switch($m){
                                case "1":
                //toast de error "No hay la disponibilidad requerida del producto!! Consulte el stock del producto."
                                echo $errorBTNGVE2;
                                echo $errorToastGVE2;
                                break;
                                case "2":
                //toast de error "La cantidad debe ser un número positivo!"
                                echo $errorBTNGVE3;
                                echo $errorToastGVE3;
                                break;

                                case "3":
                //toast de venta exitosamente
                                echo $exitoVentaBTN;
                                echo $exitoVentaToast;
                                break;
                            }
                        } 
                        ?>
                    </div>
                    <!--======== Fin Area Toast ========-->

                    <table id="myTable1" class="table table-light table-striped">

                        <h4>Cliente</h4>
                        <tr>
                            <th>Nombre</th>
                            <th>Cedula</th>
                            <th>Eliminar</th>
                            <tr>
                                <?php 
                                require_once '../Clases/db.php';
                                $mostrar = new conn ();
                                $conn = $mostrar->crearconn(); 

                                $username = $_SESSION['Username'];
                                $sql = "SELECT ID FROM usuario WHERE Username = '{$username}'";
                                $r = $conn->query($sql);
                                $row = mysqli_fetch_assoc($r);
                                $user_id = $row['ID'];
                                $_SESSION["iduser"] = $user_id;
                                ?>
                                <?php 

                                if(isset($_SESSION["cliente"])){
                                   $_SESSION["iduser"];
                                   $cliente = $_SESSION["cliente"];
                                   foreach ($cliente as $c) {
                                     $e = 0;

                                     echo "<tr>";  
                                     echo "<td>".$c->nombre."</td>";
                                     echo "<td>".$c->cedula."</td>";
                                     echo "<td>";
                                     echo "<a class='btn btn-danger' href='./controladores/ventas/eliminarcli.php?inc=$e'>Eliminar</a>";
                                     echo "</td>";
                                     echo "</tr>"; 
                                 }
                                 ?>

                                 <table id="myTable" class="table table-light table-striped">
                                    <h4>Listado de compra</h4>
                                    <tr>
                                        <th>Codigo</th>
                                        <th>Nombre</th>
                                        <th>Precio $</th>
                                        <th>Precio Bs</th>
                                        <th>Stock actual</th>
                                        <th>Cantidad</th>
                                        <th>SubTotal $</th>
                                        <th>SubTotal Bs</th>
                                        <th>Eliminar</th>
                                        <tr>
                                          <?php
                                          if(isset($_SESSION["carrito"])){
                                            $carrito = $_SESSION["carrito"];

                                            $totaldolar = 0;
                                            $totalbs = 0;
                                            $i = 0;

                                            foreach ($carrito as $p) { 
                                            
                                             echo "<tr>";
                                             echo "<td>".$p->id."</td>";
                                             echo "<td>".$p->nombre."</td>";
                                             echo "<td>$".$p->precio."</td>";
                                             echo "<td>Bs ".$p->preciobs."</td>";
                                             echo "<td>".$p->stock."</td>";
                                             echo "<td>".$p->cantidad."</td>";
                                             echo "<td>$".$p->subTotal."</td>";
                                             echo "<td>Bs ".$p->subTotalBs."</td>";
                                             echo "<td>";
                                             echo "<a class='btn btn-danger' href='./controladores/ventas/eliminarPro.php?in=$i'>Eliminar</a>";
                                             echo "</td>";
                                             $totaldolar += $p->subTotal;
                                             $i++;
                                             $totalbs += $p->subTotalBs;

                                             echo "</tr>";
                                         }
                                         echo "<tr>";
                                         echo "<td colspan='6'><b>Total:</b></td>";
                                         echo "<td colspan='1'><b>$ $totaldolar</b></td>";
                                         echo "<td colspan='1'><b>Bs $totalbs</b></td>";
                                         echo "<td colspan='1'></td>";
                                         $_SESSION["totaldolar"] = $totaldolar;
                                         $_SESSION["totalbs"] = $totalbs;
                                         echo "</tr>";

                                         echo "<tr>";
                                         echo "<td colspan='9'>";
                                         echo "<form action='./controladores/ventas/generarVenta.php' method='post'>";
                                         echo "<input type='hidden' name='connWithNumber' value='" . $connWithNumber . "'>";
                                         echo "<input type='hidden' name='cedulaf' value='" . $c->cedula . "'>";
                                         echo "<input class='btn btn-danger botonv'  type='submit'  value='Vender'>";

                                         echo "</form>";

                                         echo "</td>";
                                         echo "</tr>";
                                     }
                                 }
                                 ?>
                             </table>
                         </div><!--##:: Fin Divinterno ::##-->
                     </div><!--##:: Fin DivMain ::##-->

                     <footer class="footer">
                        <p>&copy; Todos los derechos reservados - <?php echo date("Y"); ?> | La Emperadora Internet Y Mas</p>
                    </footer>
                    <!--##::Link boostrap JS offline::##-->
                    <script src="../bootstrap-5.3.1/js/bootstrap.bundle.min.js"></script>
                    <script src="../ArchivosJS/jquery-3.6.0.min.js"></script> 
                    <script src="../ArchivosJS/bootstrap.min.js"></script>
                    <script src="../DataTables/datatables.min.js"></script>
                    <script src="../ArchivosJS/toastr.min.js"></script>

<script>
    $(document).ready(function() {
        $('#IdC').change(function() {
            var selectedOption = $(this).find(":selected");
            var selectedClientId = selectedOption.val();
            var selectedClientName = selectedOption.text().split('/')[1].trim();
            var selectedClientCedula = selectedOption.text().split('/')[0].trim();
            $('input[name=NombreC]').val(selectedClientName);
            $('input[name=CedulaC]').val(selectedClientCedula);
        });
    });
</script>
<script>
    // Recuperar la URL del PDF de la variable de sesión
    var urlDelPDF = "<?php echo isset($_SESSION['urlDelPDF']) ? $_SESSION['urlDelPDF'] : ''; ?>";

    // Verificar si hay una URL de PDF y abrirla en una ventana modal
    if (urlDelPDF) {
        // Código para abrir la ventana modal con la URL del PDF
        // Por ejemplo, usando una librería como Bootstrap Modal o cualquier otra de tu preferencia
        // Ejemplo con Bootstrap Modal:
        $('#pdfModal').modal('show');
        // Luego, puedes usar el objeto embed para cargar el PDF dentro del modal
        document.getElementById('pdfFrame').src = urlDelPDF;
    }
</script>
<?php
// Iniciar o reanudar una sesión
session_start();

// Verificar si la variable de sesión "urlDelPDF" tiene algún valor
if(isset($_SESSION["urlDelPDF"]) && !empty($_SESSION["urlDelPDF"])) {
    // La variable de sesión tiene un valor, imprime el script
    ?>
    <script>
        // Obtener la URL del PDF desde la variable de sesión
        var urlDelPDF = "<?php echo $_SESSION["urlDelPDF"]; ?>";

        // Abrir el PDF en una nueva pestaña
        window.open(urlDelPDF, '_blank');
  <?php unset($_SESSION["urlDelPDF"]); ?>
        // Redirigir después de abrir el PDF
    </script>
    <?php
}
?>
<script src="../ArchivosJS/toasts.js"></script>
</body>
</html>